include $(GNUSTEP_MAKEFILES)/common.make

APP_NAME = MyLibrary

MyLibrary_OBJC_FILES = \
	main.m MyLibrary.m \
	GeneralContainer.m  GeneralContainer+Additions.m \
	Sources.m LibrarySource.m \
	FolderSource.m AttributesSource.m \
	SmartFolderSource.m \
	IconTableView.m SourceTableView.m ItemTableView.m \
	NoteTextView.m CodeParser.m \
	TagHandler.m RenderHandler.m \
	LinkReplaceHandler.m \
	AttributesViewer.m AttributesOutlineView.m Node.m \
	HRCell.m NoteCell.m \
	Criterion.m CriterionView.m CriterionObjectView.m \
	SmartFolderEditor.m SearchSource.m \
	ImportFilePanel.m LibraryLocationPanel.m \
	SummaryViewer.m \
	ContentIndexer.m \
	Utilities.m RegEx.m TimeStamp.m

MyLibrary_HEADERS = \
	GNUstep.h Constants.h \
	MyLibrary.h \
	GeneralContainer.h GeneralContainer+Additions.h \
	Sources.h LibrarySource.h \
	FolderSource.h AttributesSource.h \
	SmartFolderSource.m \
	IconTableView.h SourceTableView.h ItemTableView.h \
	NoteTextView.h \
	CodeParser.h CodeHandler.h \
	TagHandler.h RenderHandler.h \
	LinkReplaceHandler.h \
	AttributesViewer.h AttributesOutlineView.h Node.h \
	HRCell.h NoteCell.h \
	Criterion.h CriterionView.h CriterionObjectView.h \
	SmartFolderEditor.h SearchSource.h \
	Utilities.h RegEx.h TimeStamp.h \
	ImportFilePanel.h LibraryLocationPanel.h \
	SummaryViewer.h \
	ContentIndexer.h \
	Constants.h

MyLibrary_MAIN_MODEL_FILE = MainLibrary

MyLibrary_RESOURCE_FILES = Images/*.png

ifeq ($(FOUNDATION_LIB), apple)
MyLibrary_RESOURCE_FILES += \
	Images/MyLibrary.icns

MyLibrary_LANGUAGES = English

MyLibrary_LOCALIZED_RESOURCE_FILES = \
	MainLibrary.nib \
	AttributesViewer.nib \
	SmartFolderEditor.nib \
	ImportFilePanel.nib \
	SummaryViewer.nib \
	ContentIndexingPanel.nib \
	LibraryLocationPanel.nib \
	Localizable.strings
else
MyLibrary_RESOURCE_FILES += \
	Images/MyLibrary.tif

MyLibrary_APPLICATION_ICON = MyLibrary.tif

MyLibrary_LANGUAGES = English

MyLibrary_LOCALIZED_RESOURCE_FILES = \
	MainLibrary.gorm \
	AttributesViewer.gorm \
	SmartFolderEditor.gorm \
	ImportFilePanel.gorm \
	SummaryViewer.gorm \
	ContentIndexingPanel.gorm \
	LibraryLocationPanel.gorm \
	Localizable.strings 
endif

include $(GNUSTEP_MAKEFILES)/application.make
-include GNUmakefile.postamble
